Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1344147 - addCopySpecLimit function doesn't consider file sizes in recursive subdirectories
Summary: addCopySpecLimit function doesn't consider file sizes in recursive subdirecto...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sos
Version: 7.2
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Pavel Moravec
QA Contact: BaseOS QE - Apps
URL:
Whiteboard:
Depends On: 1061529
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-08 21:28 UTC by Patrick Ladd
Modified: 2019-11-14 08:19 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1061529
Environment:
Last Closed: 2016-06-10 10:21:06 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 1 Bryn M. Reeves 2016-06-09 09:59:46 UTC
What is the actual problem you are reporting?

A lot has happened upstream since the bug that you've cloned - in particular using add_copy_spec_limit() with directories, or globs that expand to include directory paths, is now forbidden and no current plugins do this.

If you are seeing specific problems with any plugin shipped in the sos package please detail them - otherwise this is NOTABUG.

Comment 3 Bryn M. Reeves 2016-06-10 10:21:06 UTC
In that case the bz you are looking for is bug 1002619 - "Add syslogsize option and an appropriate default value to the sosreport gluster plugin".

This bugzilla is about the size limiting APIs themselves and affected a half dozen other plugins in addition to gluster.

I'll close this NOTABUG and clone bug 1002619 for RHEL7.


Note You need to log in before you can comment on or make changes to this bug.